Name:           perl-Tie-Cache
Version:        0.21
Release:    	2%{?dist}
Summary:        LRU Cache in Memory
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Tie-Cache

Source0:        https://cpan.metacpan.org/authors/id/C/CH/CHAMAS/Tie-Cache-%{version}.tar.gz
BuildArch:      noarch

BuildRequires: make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)

BuildRequires:  perl(strict)
BuildRequires:  perl(vars)

BuildRequires:  perl(Benchmark)


%{?perl_default_filter}

%description
This module implements a least recently used (LRU) cache in memory
through a tie interface. Any time data is stored in the tied hash,
that key/value pair has an entry time associated with it, and as
the cache fills up, those members of the cache that are the oldest
are removed to make room for new entries.


%prep
%setup -q -n Tie-Cache-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}

rm -f %{buildroot}/%{perl_vendorlib}/Tie/tie-cache-bench.pl

find %{buildroot} -type f -name .packlist -exec rm -f {} \;

%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc README CHANGES
%doc tie-cache-bench.pl
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Fri Sep 13 2024 bbrucezhang <bbrucezhang@tencent.com> - 0.21-2
- Remove not use macros

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.21-1
- initial build
